<?php
/***************************************************************************
 *                            lang_sudoku.php [English]
 *                              -------------------
 *     begin                : Tue Nov 15 2005
 *     copyright            : (C) 2005 Majorflam
 *     email                : majorflam@majormod.com
 *     Website              : http://majormod.com
 *
 *     $Id: lang_sudoku.php,v 1.0.3 
 *
 ****************************************************************************/

$lang['Sudoku_Version']='Sudoku Mod Version %s &copy Majorflam 2005 - Latest Game Pack Installed: Pack %s';
$lang['suduko_blank_tile']='Click To Enter Number';
$lang['suduko_user_tile']='Click To Edit';
$lang['sudoku_no_tile']='No Tile Specified!';
$lang['sudoku_input_num']='Select the desired number to insert in the chosen tile.';
$lang['sudoku_no_number']='You must select a number to place on that tile!';
$lang['sudoku_instructions']='Place a number from 1-9 in each empty cell so that each row, each column and each 3 x 3 block contains all the numbers from 1-9. You have been given some "starter" numbers to help you, and they are shown underlined. Simply click a blank cell to insert your number. If you make a mistake, simply click the number to insert a new one.';
$lang['sudoku_invalid_number']='You have entered an invalid number!';
$lang['sudoku_howto']='How To Play';
$lang['sudoku_stats']='Statistics';
$lang['sudoku_statistics']='Statistics are gathered on your performance at this game, and the performance of others, too. The Top Ten players are shown. Every time you insert a number, you gain 10 points. But beware! Every time you change a number, you lose 15 points. If you reset the grid, you start the game again with minus 200 points.';
$lang['sudoku_game_info']='Game Pack:<b>%s</b> || Game Number:<b>%s</b> || Level:<b>%s</b>';
$lang['sudoku_player_stats']='Your Statistics';
$lang['sudoku_leaderboard']='Sudoku Top 10';
$lang['sudoku_played']='Total Games Played';
$lang['sudoku_points']='Total Points Scored';
$lang['sudoku_these_points']='Points - Current Game';
$lang['sudoku_lead_played']='Games Played';
$lang['sudoku_lead_points']='Points';
$lang['sudoku_level_easy']='Easy';
$lang['sudoku_level_medium']='Medium';
$lang['sudoku_level_hard']='Difficult';
$lang['sudoku_level_very_hard']='Very Difficult';
$lang['sudoku_confirm_reset']='Resetting Grid';
$lang['sudoku_confirm_reset_text']='Are you sure you want to reset this grid? If you do, you will start the grid with minus 200 points.';
$lang['sudoku_reset_cancelled']='Grid reset cancelled.';
$lang['sudoku_lead_current_game']='Now Playing';
$lang['sudoku_current_game_text']='Pack:<b>%s ~ </b>Game <b>#%s</b>';
$lang['sudoku_nomore_grids']='Congratulations! You have completed all the grids available. Please contact a Board Administrator to load more grids.';
$lang['sudoku_load_new']='Grid completed successfully! Loading new grid...';
$lang['sudoku_wrong_numbers']='You have completed the grid, but some numbers were inserted in the wrong place. The grid will now load again, and the wrong numbers will be removed. This will cost 20 points for every wrong number. There are %s numbers inserted incorrectly, and this has cost you %s points in total.<br />&nbsp;<br />Loading Grid...';
$lang['sudoku_reset_confirmed']='Your grid will now reset. Loading...';
$lang['sudoku_no_change_starter']='You cant change a starter number!';
$lang['sudoku_no_url_tricks']='No url tricks, please!.';
$lang['sudoku_place']='Place!';
$lang['sudoku_reset_grid']='Reset Grid';
$lang['sudoku_who_is_online']='Who is playing Sudoku';
$lang['sudoku_total_online']='In total <b>%s</b> users have played Sudoku in the last 24 hours:';
$lang['sudoku_logged_in_list']='Users currently playing Sudoku:';
$lang['sudoku_online_explain']='This data is based on users playing Sudoku in the past 5 minutes.';
$lang['sudoku_game_stats']='In total, <b>%s</b> users have played Sudoku on this site. They have played <b>%s</b> games overall';
$lang['sudoku_no_blank_starter'] ='You cannot erase a number that does not exist!';
$lang['sudoku_view_all'] ='View All';
$lang['sudoku_buy_number'] ='Buy Number';
$lang['sudoku_confirm_buy_text'] ='You have chosen to buy a number. A blank tile from your grid will be chosen at random, and the correct number inserted for you. This action will cost you 30 points from your grid total. Are you sure you want to buy a number?';
$lang['sudoku_buy_cancelled']='You have chosen not to buy a number on this occassion';
$lang['sudoku_ran_error']='An error occured whilst trying to insert your number. Please try again. If this problem persists, please contact a Board Administrator';
$lang['sudoku_ran_success']='Your number has been chosen at random, and inserted to your grid. It will be highlighted for your information';
$lang['sudoku_resynch_success']='Synchronisation of statistics complete. Redirecting...';
$lang['sudoku_resynch']='Resynch';
// for ver 1.0.5
$lang['sudoku_reset_game'] = 'Reset Sudoku Game';
$lang['sudoku_reset_game_text'] = 'Are you sure you want to reset the Sudoku Game? This will remove all player data from the database, and start the game all over again as if it is a fresh install. Please note that your Game Packs will stay untouched, so there will be no need to re-install Game Packs. This action cannot be undone';
$lang['sudoku_reset_game_cancelled'] = 'Game Reset cancelled. No changes have been made.';
$lang['sudoku_rest_game_success'] = 'Sudoku Game is now reset.';
//
// That's all, Folks!
// -------------------------------------------------

?>